QGIS Application - Bug report #4285
on-line labeling doesn't work anymore
2011-09-15 02:09 AM - Sandro Santill

Status: Closed
Priority: Normal
Assignee:

Category: Symbology

Affected QGIS version:
Operating System: GNU/Linux
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 14224

Description

| used to be able to specify Above/Below for putting labels before and after the centroid on lines. As in the following example:

L1 - 2 L3 >

L1 was placed "above", L3 was placed "below" and L2 was "on" the line.

| think this happened when orientation was "line" vs. "map" or vice-versa.

Not really sure how it happened but did work.

Either it was a bug before, or it is a bug now.

Now is c42f1ea, before I'm not sure what it was, it's probably written in a bug

about label orientation and/or line decoration orientation as it worked at that time.

The style | used is here: https://github.com/strk/qgis_pgis_topoview/blob/master/topoview_tpl.qgs

in the labels for 'next_right_face' and 'next_left_face' layers.

History

#1 - 2011-09-21 12:05 AM - Sandro Santilli
- Resolution set to invalid

| belive my memory was at fault... it never worked like that

#2 - 2011-09-21 12:34 AM - Giovanni Manghi
- Status changed from Open to Closed
